# Kendo CLI

To install:

``` bash
npm install --global @progress/kendo-cli
```

## KendoReact Project Generator

> Kendo ♥ Next.js

To use ***KendoReact*** and create a new ***React*** project using ***Next.js***:

``` bash
# JavaScript with routing
npx kendo react create nextjs MyKendoApp --theme
# JavaScript without routing
npx kendo react create nextjs MyKendoApp --no-app
# TypeScript with routing
npx kendo react create nextjs MyKendoApp --ts
# TypeScript without routing
npx kendo react create nextjs MyKendoApp --ts --no-app
```

### Options

Language options:
 - `--js` - Use JavaScript (default)
 - `--ts` - Use TypeScript

Theme options:

 - `--theme=default`
 - `--theme=bootstrap`
 - `--theme=material`

Other:

 - `--eslint` - Initialize with eslint config.
 - `--no-app` - Initialize as **no** App Router project.
 - `--no-src-dir` - Initialize without a `src/` directory.
 - `--import-alias="@/*"` - Specify import alias to use.

### Build and Run

After the project is generated, navigate into the new directory, install packages, build and run:

``` bash
cd MyKendoApp
npm install
npm run dev
```

### KendoReact Project Generator Synopsis

```
kendo react create nextjs [name]

Create KendoReact app based on NextJS

Positionals:
  name  Name of the generated application.   [string] [default: "KendoReactApp"]

Options:
      --help              Show help                                    [boolean]
      --version           Show version number                          [boolean]
  -v, --verbose           Set verbosity level, e.g. -vvv sets verbosity to level
                          3. max 5.                         [count] [default: 1]
  -q, --quiet             Silence output as much as possible. Sets verbosity to
                          level 0.                    [boolean] [default: false]
      --javascript, --js  Initialize as a JavaScript project.
                                                      [boolean] [default: false]
      --typescript, --ts  Initialize as a TypeScript project.
                                                      [boolean] [default: false]
      --eslint            Initialize with eslint config.
                                                      [boolean] [default: false]
      --app               Initialize as an App Router project.
                                                       [boolean] [default: true]
      --src-dir           Initialize inside a `src/` directory.
                                                       [boolean] [default: true]
      --import-alias      Specify import alias to use (default "@/*").
                                                       [string] [default: "@/*"]
      --theme             Kendo theme to apply.
     [string] [choices: "default", "bootstrap", "material"] [default: "default"]
```

---

_Copyright © 2023 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software_ _Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._